%define oname synfig

Name: libsynfig
Version: 0.61.07
Release: alt3.1

Summary: Vector-based 2D animation software package

License: free
Group: Development/C++
Url:   http://www.synfig.com/

#Source: http://www.bridgetone.com/voria/files/%oname-%version.tar.bz2
Source: http://dl.sf.net/synfig/%oname-%version.tar.bz2
Patch: %name-av.patch

# Automatically added by buildreq on Fri Jan 12 2007
BuildRequires: gcc-c++ ImageMagick libavformat-devel libetl-devel libjpeg-devel libltdl-devel libpng-devel libsigc++2.0-devel libtiff-devel libXft-devel libxml2-devel libxml++2-devel openexr-devel

%description
Synfig is a powerful, industrial-strength vector-based 2D animation 
software package, designed from the ground-up for producing 
feature-film quality animation with fewer people and resources. 
While there are many other programs currently on the market to aid 
with the efficient production of 2D animation, we are currently 
unaware of any other software that can do what our software can.

%package devel
Summary: Header files for Synfig
Group: Development/C++
Requires: %name = %version-%release

%description devel
Header files for Synfig.

%prep
%setup -q -n %oname-%version
%patch

%build
%configure
%__subst "s|\$(includedir)/synfig|\$(includedir)|g" src/synfig/Makefile
%__subst "s|/usr/include/synfig-0.0|\$(pkgincludedir)/synfig-0.0|g" src/synfig/Makefile
%make_build

%install
%makeinstall_std

%post
%post_ldconfig

%postun
%postun_ldconfig

%files
%_bindir/%oname
%_sysconfdir/synfig_modules.cfg
%_libdir/lib*.so.*
%_libdir/%oname/

%files devel
%_bindir/%oname-config
%_includedir/synfig-0.0/
%_pkgconfigdir/*
%_libdir/lib*.so

%changelog
* Sat Mar 01 2008 ALT QA Team Robot <qa-robot@altlinux.org> 0.61.07-alt3.1
- Rebuilt due to libIlmImf.so.4 -> libIlmImf.so.6 soname change.

* Tue Jan 22 2008 Vitaly Lipatov <lav@altlinux.ru> 0.61.07-alt3
- pack .so in devel package

* Wed Jan 02 2008 Vitaly Lipatov <lav@altlinux.ru> 0.61.07-alt2
- fix compiling with libavcodec-devel

* Fri Oct 12 2007 Vitaly Lipatov <lav@altlinux.ru> 0.61.07-alt1
- new version 0.61.07 (with rpmrb script)

* Sun Jul 01 2007 Vitaly Lipatov <lav@altlinux.ru> 0.61.06-alt1
- new version 0.61.06 (with rpmrb script)

* Fri Jan 12 2007 Vitaly Lipatov <lav@altlinux.ru> 0.61.05-alt1
- initial build for ALT Linux Sisyphus

